#include "BoolSemanticHandler.h"

BoolSemanticHandler::BoolSemanticHandler(const std::string& inName, bool* inValue)
	: BaseSemanticHandler(inName)
	, Value(inValue)
{
}


BoolSemanticHandler::~BoolSemanticHandler()
{
}

void BoolSemanticHandler::OnHandle(IShader* inShader, IShaderParameter* inParameter)
{
	inParameter->set_Bool(*Value);
}